CREATE TABLE IF NOT EXISTS `Socio` (
`id` int NOT NULL auto_increment,
`nombre` varchar(100),
`apellidos` varchar(200),
`dni` varchar(9),
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE IF NOT EXISTS `InformacionContacto` (
`id` int NOT NULL auto_increment,
`socioId` int NOT NULL,
`email` varchar(200),
`movil` varchar(15),
`fijo` varchar(15),
PRIMARY KEY  (`id`),
index `ndx_infoContacto_socio` (`socioId`),
CONSTRAINT `fk_infoContacto_socio` FOREIGN KEY (`socioId`) REFERENCES `Socio` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE IF NOT EXISTS `Categoria` (
`id` int NOT NULL auto_increment,
`nombre` varchar(100),
`descripcion` varchar(1024),
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE IF NOT EXISTS `Libro` (
`id` int NOT NULL auto_increment,
`socioId` int,
`categoriaId` int NOT NULL,
`titulo` varchar(100),
`isbn` varchar(15),
PRIMARY KEY  (`id`),
index `ndx_libro_socio` (`socioId`),
index `ndx_libro_categoria` (`categoriaId`),
CONSTRAINT `fk_libro_socio` FOREIGN KEY (`socioId`) REFERENCES `Socio` (`id`),
CONSTRAINT `fk_libro_categoria` FOREIGN KEY (`categoriaId`) REFERENCES `Categoria` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE IF NOT EXISTS `Autor` (
`id` int NOT NULL auto_increment,
`nombre` varchar(100),
`apellidos` varchar(200),
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE IF NOT EXISTS `Libro_Autor` (
`libro` int NOT NULL,
`autor` int NOT NULL,
PRIMARY KEY  (`libro`,`autor`),
index `ndx_libro` (`libro`),
index `ndx_autor` (`autor`),
CONSTRAINT `fk_libroAutor_libro` FOREIGN KEY (`libro`) REFERENCES `Libro` (`id`),
CONSTRAINT `fk_libroAutor_autor` FOREIGN KEY (`autor`) REFERENCES `Autor` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;


CREATE TABLE IF NOT EXISTS `Libro_Autor_Version_2` (
`libro` int NOT NULL,
`autor` int NOT NULL,
PRIMARY KEY  (`libro`,`autor`),
index `ndx_libro2` (`libro`),
index `ndx_autor2` (`autor`),
CONSTRAINT `fk_libroAutor_libro2` FOREIGN KEY (`libro`) REFERENCES `Libro` (`id`),
CONSTRAINT `fk_libroAutor_autor2` FOREIGN KEY (`autor`) REFERENCES `Autor` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;


insert into Libro_Autor_Version_2 (`libro`,`autor`)
  values( '1', '2');
insert into Libro_Autor_Version_2 (`libro`,`autor`)
  values( '2', '1');
insert into Libro_Autor_Version_2 (`libro`,`autor`)
  values( '3', '3');
