package com.autentia.tutoriales.modelo.entidades;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

/**
 * Representa una entidad de tipo Autor.
 * @author fjmpaez
 *
 */

@Entity
public class Autor extends TransferObject {

	private String nombre;
	private String apellidos;	
	private List<Libro> libros;	
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	public Integer getId() {		
		return id;
	}
		
	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellidos() {
		return apellidos;
	}

	public void setApellidos(String apellidos) {
		this.apellidos = apellidos;
	}

	@ManyToMany(mappedBy="autores")
	public List<Libro> getLibros() {
		return libros;
	}

	public void setLibros(List<Libro> libros) {
		this.libros = libros;
	}

	public String toString() {	
		return "id="+id +" "+",nombre="+ this.nombre+",apellidos="+ this.apellidos;
	}

}
