package com.autentia.tutoriales.modelo.entidades;



import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;

/**
 * Representa una entidad Socio.
 * @author fjmpaez
 *
 */
@Entity
public class Socio extends TransferObject {

	private String nombre;
	private String apellidos;	
	private List<Libro> libros;	
	private InformacionContacto informacionContacto;
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	public Integer getId() {		
		return id;
	}	
	
	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellidos() {
		return apellidos;
	}

	public void setApellidos(String apellidos) {
		this.apellidos = apellidos;
	}

	@OneToMany(mappedBy="socio")
	public List<Libro> getLibros() {
		return libros;
	}

	public void setLibros(List<Libro> libros) {
		this.libros = libros;
	}

	@OneToOne(cascade=CascadeType.ALL)
	@PrimaryKeyJoinColumn(name="id",referencedColumnName="socioId")
	public InformacionContacto getInformacionContacto() {
		return informacionContacto;
	}

	public void setInformacionContacto(InformacionContacto informacionContacto) {
		this.informacionContacto = informacionContacto;
	}

	public String toString() {
		return "id="+id +" "+",nombre="+ this.nombre+",apellidos="+ this.apellidos+",contacto="+this.getInformacionContacto();
	}

}
