package com.autentia.tutoriales.modelo.entidades;

import java.io.Serializable;

/**
 * Clase abstracta que deben extender las entidades del modelo
 * @author fjmpaez
 *
 */
public abstract class TransferObject implements Serializable {
	protected Integer id;

	/**
	 * This method must be implemented by all the subclasses 
	 * of the superclass 'TransferObject' because EJB3 requires that every 
	 * class define its own getId() method with its annotations.
	 */
	public abstract Integer getId();

	public void setId(Integer id) {
		this.id = id;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj) return true;
		if (obj == null) return false;
		if (getClass() != obj.getClass()) return false;
		final TransferObject other = (TransferObject)obj;
		if (id == null) {
			if (other.id != null) return false;
		} else if (!id.equals(other.id)) return false;
		return true;
	}

	public abstract String toString();
}
