package com.autentia.tutoriales.modelo.services;

import java.util.List;
import javax.ejb.Local;
import com.autentia.tutoriales.modelo.entidades.TransferObject;

/**
 * Representa el interfaz Local del DAO.
 * Por ahora sólo definimos métodos accesores.
 * Más adelante de completará con metodos modificadores.
 * @author fjmpaez
 *
 */

@Local
public interface Dao {

	/**
	 * Recover all the entries from a single table
	 */
	public <T extends TransferObject> List<T> findAll(Class<T> transferObjectClass, String sortColumn, boolean ascending);

	/**
	 * Recover a single entries from a table
	 */
	public <T extends TransferObject> T find(Class<T> transferObjectClass, Integer id);

	/**
	 * Recover a list of objects using a query and a map with the name of the parameters and his values
	 */
	public <T extends TransferObject> List<T> findAllByQuery(String query, FilterParameter ... params );
	
	/**
	 * Recover a single entry from a table using a query and a map with the name of the parameters and his values
	 */
	public <T extends TransferObject> T findSingleByQuery(String query,  FilterParameter ... params);
	
	/**
	 * Recover all the entries from a single table and with filter
	 */
	public <T extends TransferObject> List<T> findAllAndFilterLike(Class<T> transferObjectClass,  String sortColumn, boolean ascending, boolean or, FilterParameter ... params);	
	
	
}
